# Uses of Class
it.tdlight.jni.TdApi.PhoneNumberAuthenticationSettings

## Uses of TdApi.PhoneNumberAuthenticationSettings in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.PhoneNumberAuthenticationSettings
Modifier and Type
Field
Description
`TdApi.PhoneNumberAuthenticationSettings`
TdApi.ChangePhoneNumber.`settings`
Settings for the authentication of the user's phone number; pass null to use default settings.
`TdApi.PhoneNumberAuthenticationSettings`
TdApi.SendPhoneNumberConfirmationCode.`settings`
Settings for the authentication of the user's phone number; pass null to use default settings.
`TdApi.PhoneNumberAuthenticationSettings`
TdApi.SendPhoneNumberVerificationCode.`settings`
Settings for the authentication of the user's phone number; pass null to use default settings.
`TdApi.PhoneNumberAuthenticationSettings`
TdApi.SetAuthenticationPhoneNumber.`settings`
Settings for the authentication of the user's phone number; pass null to use default settings.
Constructors in it.tdlight.jni with parameters of type TdApi.PhoneNumberAuthenticationSettings
Modifier
Constructor
Description
``
`ChangePhoneNumber(String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings)`
Changes the phone number of the user and sends an authentication code to the user's new phone number; for official Android and iOS applications only.
``
`SendPhoneNumberConfirmationCode(String hash, String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings)`
Sends phone number confirmation code to handle links of the type internalLinkTypePhoneNumberConfirmation.
``
`SendPhoneNumberVerificationCode(String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings)`
Sends a code to verify a phone number to be added to a user's Telegram Passport.
``
`SetAuthenticationPhoneNumber(String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings)`
Sets the phone number of the user and sends an authentication code to the user.